From c9e96d3330390b36a10e89f077c9cc3914a69d0f Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sat, 1 Feb 2025 05:15:17 +0000
Subject: [PATCH] systemd-boot-native,systemd-boot,systemd: upgrade 257.1 ->
 257.2,257.1 -> 257.2,257.1 -> 257.2

---
 ...3-missing_type.h-add-comparison_fn_t.patch |  58 ++
 ...k-parse_printf_format-implementation.patch | 431 ++++++++++++++
 ...OB_BRACE-and-GLOB_ALTDIRFUNC-is-not-.patch | 152 +++++
 ...006-add-missing-FTW_-macros-for-musl.patch |  41 ++
 ...07-Use-uintmax_t-for-handling-rlim_t.patch | 103 ++++
 ...patible-basename-for-non-glibc-syste.patch |  30 +
 ...uffering-when-writing-to-oom_score_a.patch |  38 ++
 ...compliant-strerror_r-from-GNU-specif.patch |  73 +++
 ...definition-of-prctl_mm_map-structure.patch |  29 +
 ...-not-disable-buffer-in-writing-files.patch | 527 ++++++++++++++++++
 .../files/0013-Handle-__cpu_mask-usage.patch  |  57 ++
 .../files/0014-Handle-missing-gshadow.patch   | 169 ++++++
 ...l.h-Define-MIPS-ABI-defines-for-musl.patch |  46 ++
 ...ass-correct-parameters-to-getdents64.patch |  34 ++
 .../files/0017-Adjust-for-musl-headers.patch  | 523 +++++++++++++++++
 ...trerror-is-assumed-to-be-GNU-specifi.patch |  49 ++
 ...util-Make-STRERROR-portable-for-musl.patch |  39 ++
 ...ake-malloc_trim-conditional-on-glibc.patch |  36 ++
 ...hared-Do-not-use-malloc_info-on-musl.patch |  54 ++
 ...22-avoid-missing-LOCK_EX-declaration.patch |  53 ++
 ...gnal.h-to-avoid-the-undeclared-error.patch |  24 +
 ...references-using-stdin-as-a-struct-m.patch |  44 ++
 ...clusion-order-to-avoid-redeclaration.patch | 285 ++++++++++
 ....c-avoid-boot-time-segfault-for-musl.patch |  28 +
 ..._257.1.bb => systemd-boot-native_257.2.bb} |   0
 ...md-boot_257.1.bb => systemd-boot_257.2.bb} |   0
 meta/recipes-core/systemd/systemd.inc         |   2 +-
 .../0001-Do-not-create-var-log-README.patch   |   2 +-
 ...tall-dependency-links-at-install-tim.patch |   9 +-
 ...implment-systemd-sysv-install-for-OE.patch |   7 +-
 .../{systemd_257.1.bb => systemd_257.2.bb}    |   0
 31 files changed, 2930 insertions(+), 13 deletions(-)
 create mode 100644 meta/recipes-core/systemd/files/0003-missing_type.h-add-comparison_fn_t.patch
 create mode 100644 meta/recipes-core/systemd/files/0004-add-fallback-parse_printf_format-implementation.patch
 create mode 100644 meta/recipes-core/systemd/files/0005-don-t-fail-if-GLOB_BRACE-and-GLOB_ALTDIRFUNC-is-not-.patch
 create mode 100644 meta/recipes-core/systemd/files/0006-add-missing-FTW_-macros-for-musl.patch
 create mode 100644 meta/recipes-core/systemd/files/0007-Use-uintmax_t-for-handling-rlim_t.patch
 create mode 100644 meta/recipes-core/systemd/files/0008-Define-glibc-compatible-basename-for-non-glibc-syste.patch
 create mode 100644 meta/recipes-core/systemd/files/0009-Do-not-disable-buffering-when-writing-to-oom_score_a.patch
 create mode 100644 meta/recipes-core/systemd/files/0010-distinguish-XSI-compliant-strerror_r-from-GNU-specif.patch
 create mode 100644 meta/recipes-core/systemd/files/0011-avoid-redefinition-of-prctl_mm_map-structure.patch
 create mode 100644 meta/recipes-core/systemd/files/0012-do-not-disable-buffer-in-writing-files.patch
 create mode 100644 meta/recipes-core/systemd/files/0013-Handle-__cpu_mask-usage.patch
 create mode 100644 meta/recipes-core/systemd/files/0014-Handle-missing-gshadow.patch
 create mode 100644 meta/recipes-core/systemd/files/0015-missing_syscall.h-Define-MIPS-ABI-defines-for-musl.patch
 create mode 100644 meta/recipes-core/systemd/files/0016-pass-correct-parameters-to-getdents64.patch
 create mode 100644 meta/recipes-core/systemd/files/0017-Adjust-for-musl-headers.patch
 create mode 100644 meta/recipes-core/systemd/files/0018-test-bus-error-strerror-is-assumed-to-be-GNU-specifi.patch
 create mode 100644 meta/recipes-core/systemd/files/0019-errno-util-Make-STRERROR-portable-for-musl.patch
 create mode 100644 meta/recipes-core/systemd/files/0020-sd-event-Make-malloc_trim-conditional-on-glibc.patch
 create mode 100644 meta/recipes-core/systemd/files/0021-shared-Do-not-use-malloc_info-on-musl.patch
 create mode 100644 meta/recipes-core/systemd/files/0022-avoid-missing-LOCK_EX-declaration.patch
 create mode 100644 meta/recipes-core/systemd/files/0023-include-signal.h-to-avoid-the-undeclared-error.patch
 create mode 100644 meta/recipes-core/systemd/files/0024-undef-stdin-for-references-using-stdin-as-a-struct-m.patch
 create mode 100644 meta/recipes-core/systemd/files/0025-adjust-header-inclusion-order-to-avoid-redeclaration.patch
 create mode 100644 meta/recipes-core/systemd/files/0026-build-path.c-avoid-boot-time-segfault-for-musl.patch
 rename meta/recipes-core/systemd/{systemd-boot-native_257.1.bb => systemd-boot-native_257.2.bb} (100%)
 rename meta/recipes-core/systemd/{systemd-boot_257.1.bb => systemd-boot_257.2.bb} (100%)
 rename meta/recipes-core/systemd/{systemd_257.1.bb => systemd_257.2.bb} (100%)

diff --git a/meta/recipes-core/systemd/systemd.inc b/meta/recipes-core/systemd/systemd.inc
index 65785ac098..6f91d457da 100644
--- a/meta/recipes-core/systemd/systemd.inc
+++ b/meta/recipes-core/systemd/systemd.inc
@@ -15,7 +15,7 @@ LICENSE:libsystemd = "LGPL-2.1-or-later"
 LIC_FILES_CHKSUM = "file://LICENSE.GPL2;md5=751419260aa954499f7abaabaa882bbe \
                     file://LICENSE.LGPL2.1;md5=4fbd65380cdd255951079008b364516c"
 
-SRCREV = "47eea9ee9f46537bc18d6a64fa21fd9c50538e13"
+SRCREV = "7fa3b5018bfffa176c77a2a5794dce792eebadcb"
 SRCBRANCH = "v257-stable"
 SRC_URI = "git://github.com/systemd/systemd.git;protocol=https;branch=${SRCBRANCH}"
 
